<template>
  <el-container >
    <el-header class="nav-header" style="position:fixed; top:0">
      <el-row>
        <el-col :span="6">
          <div class="flex element-bloq-center bg-gray " style="border-radius: 30px; width: 270px" >
             <img :width="55" :src="photo" class="border-radius">
             <span style="padding-left: 15px" class="text-dark-gray-1"> {{ name }}  </span> 
          </div>
        </el-col>
        <el-col :span="18">
          <el-menu
            :default-active="$route.path"
            mode="horizontal"
            class="el-menu-demo border-none box-shadow flex justify-between"
            background-color="#262626"
            text-color="#fff"
            active-text-color="#ff5000"
          >
            <el-menu-item
              class="nav-text item-padding"
              v-for="item in rutasNavbar"
              :key="item.title"
              :index="item.url"
              @click="goTo(item.url)"
              exact>{{ item.title }}
            </el-menu-item>
            <el-submenu index="2" v-if="$store.state.subrutas.length > 0">
              <template slot="title">Más</template>
              <el-menu-item
                class="nav-text item-padding"
                v-for="nextItem in $store.state.subrutas"
                :key="nextItem.title"
                :index="nextItem.url"
                @click="goTo(nextItem.url)"
                exact>{{ nextItem.title }}
              </el-menu-item>
            </el-submenu>
          </el-menu>
        </el-col>
      </el-row>
    </el-header>
  </el-container>
</template>
<script>
import firebase from 'firebase'

export default {
  name: 'AppNav',
  props: {
    msg: String
  },
  data () {
    return{
        loadKey : 1,
        photo: '',
        userId: '',
        name: '',
        email: '',
        user: {},
         //items visibles en el nav
        rutasNavbar: JSON.parse(this.$localStorage.get("rutas")) || [],  
         //items dentro de la opción más
        subRutasNavbar: JSON.parse(this.$localStorage.get("subRutas")) || [],
        // rutasNavbar: [],
        // subRutasNavbar: []
    }
  },
  methods: {
    goTo(url){
      if(url!='/') this.$router.push(url)
      else firebase.auth().signOut().then(()=>{
        localStorage.clear();
        this.$router.push('/')
      })
    }
  },
    created() {
      if(this.$store.state.rutas.length==0) this.$store.state.rutas = this.rutasNavbar;
      if(this.$store.state.subrutas.length==0) this.$store.state.subrutas = this.subRutasNavbar;
    var vm = this
    firebase.auth().onAuthStateChanged(function(user) {
      if (user) {
        vm.user = user;
        vm.name = vm.user.displayName;
        vm.email = vm.user.email;
        vm.photo = vm.user.photoURL;
        vm.userId = vm.user.uid;
        localStorage.setItem('userName', vm.name)
        localStorage.setItem('userEmail', vm.email)
      }
    });
   },
}
</script>
